This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 495762 - vsp serial console hangs on HP-proliant systems
vsp serial console hangs on HP-proliant systems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513462
  Show dependency treegraph
 
Reported: 2009-04-14 13:25 EDT by Doug Chapman
Modified: 2010-06-28 07:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:49:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2009-04-14 13:25:04 EDT
Description of problem:
The HP Proliant systems have an option to use the serial console through the vsp (virtual serial port).  This hangs on the latest rawhide 2.6.29-* kernels.

I am seeing this on a ProLiant DL365 G5 but I imagine it will be most if not all Proliants when used in this way.  I will try to do some testing to find out what other systems are affected.



Version-Release number of selected component (if applicable):
kernel-2.6.29.1-54.fc11.x86_64


How reproducible:
100%

Steps to Reproduce:
1. boot a system set up for VSP console with console=ttyS0
2.
3.
  
Actual results:
Console output hangs until a key is pressed.  As keys are pressed more output is generated but it is completely unusable as a console.


Expected results:


Additional info:
Comment 1 Chuck Ebbert 2009-04-15 12:16:25 EDT
Looks like this is the TXEN bug checking not working right again. I added an option to the serial driver to force skipping the check like is done automatically for some Intel e1000 serial ports. Try adding '8250.skip_txen_test=1' to the boot options in kernel-2.6.29.1-83.fc11 or later.
Comment 2 Doug Chapman 2009-04-16 13:56:09 EDT
Success!

Yes, just booted 2.6.29.1-85.fc11.x86_64 with 8250.skip_txen_test=1 and the serial console works properly now.

Is there some info I can provide to help figure out a fix?  I am more than happy to do some digging on this.

thanks,

- Doug
Comment 3 Chuck Ebbert 2009-04-17 09:51:43 EDT
The PCI IDs for the affected devices need to be added to pci_serial_quirks[] in drivers/serial/8250_pci.c like this example for an Intel board that has the same problem:

        {
                .vendor         = PCI_VENDOR_ID_INTEL,
                .device         = PCI_DEVICE_ID_INTEL_82573L_SOL,
                .subvendor      = PCI_ANY_ID,
                .subdevice      = PCI_ANY_ID,
                .setup          = skip_tx_en_setup,
        },

And I guess I should submit the patch to add the parameter so there's a workaround for devices that aren't in the table.
Comment 4 Doug Chapman 2009-04-17 13:42:30 EDT
Problem is the ilo vsp doesn't report itself as a PCI device.  I will dig through the code and see if there is a way to do the same sort of quirk for it.
Comment 5 Bug Zapper 2009-06-09 09:49:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 09:40:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:49:52 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.